AlignmentService (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class AlignmentService

    java.lang.Object
      fr.inrialpes.exmo.align.service.AlignmentService

    public class AlignmentService

extends Object

AlignmentService The basic alignment service able to run a store and answer queries...

        java -jar alignsvc.jar [options]

where the options are:

            --load=filename -l filename     Load previous image
            --params=filename -p filename   Read the parameters in file
            --debug[=n] -d [n]              Report debug info at level n,
            --help -h                       Print this message

    $Id: AlignmentService.java 1286 2010-03-07 18:22:12Z euzenat $

Author:
  Jérôme Euzenat

Field Summary
`private DBService` | `connection`
`String` | `DBBASE`
`String` | `DBHOST`
`String` | `DBMS`
`String` | `DBPASS`
`String` | `DBPORT`
`String` | `DBUSER`
`private int` | `debug`
`private Hashtable<String,Directory>` | `directories`
`private String` | `filename`
`static String` | `HOST`
`static String` | `HTML`
`static String` | `JADE`
`static String` | `JXTA`
`private AServProtocolManager` | `manager`
`private String` | `outfile`
`private String` | `paramfile`
`private Hashtable<String,AlignmentServiceProfile>` | `services`
`static String` | `WSDL`

Constructor Summary
`AlignmentService()`

Method Summary
`protected void` | `close()`
`protected void` | `finalize()`
`protected Object` | `loadInstance(String className)`
`static void` | `main(String[] args)`
`Properties` | `readParameters(String[] args)`
`void` | `run(String[] args)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBHOST

    public String DBHOST

### DBPORT

    public String DBPORT

### DBUSER

    public String DBUSER

### DBPASS

    public String DBPASS

### DBBASE

    public String DBBASE

### DBMS

    public String DBMS

### HTML

    public static final String HTML

See Also:
  Constant Field Values

### JADE

    public static final String JADE

See Also:
  Constant Field Values

### WSDL

    public static final String WSDL

See Also:
  Constant Field Values

### JXTA

    public static final String JXTA

See Also:
  Constant Field Values

### HOST

    public static final String HOST

See Also:
  Constant Field Values

### debug

    private int debug

### filename

    private String filename

### outfile

    private String outfile

### paramfile

    private String paramfile

### services

    private Hashtable<String,AlignmentServiceProfile> services

### directories

    private Hashtable<String,Directory> directories

### manager

    private AServProtocolManager manager

### connection

    private DBService connection

Constructor Detail

### AlignmentService

    public AlignmentService()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### close

    protected void close()

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### loadInstance

    protected Object loadInstance(String className)
                           throws ClassNotFoundException,
                                  NoSuchMethodException,
                                  InstantiationException,
                                  IllegalAccessException,
                                  InvocationTargetException

  Throws:
    `ClassNotFoundException`
    `NoSuchMethodException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### readParameters

    public Properties readParameters(String[] args)

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010